Package: groovy.lang

## [Java] Class NonEmptySequence

- groovy.lang.NonEmptySequence

- Represents a sequence of objects which represents one or many instances of of objects of a given type. The type can be omitted in which case any type of object can be added.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NonEmptySequence ()`
    `NonEmptySequence (Class type)`
    `NonEmptySequence (Class type, List content)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `minimumSize()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Sequence` | `add, add, addAll, addAll, checkCollectionType, checkType, clear, equals, equals, getMetaClass, getProperty, hashCode, invokeMethod, minimumSize, remove, removeRange, set, set, setMetaClass, setProperty, type`

    `class ArrayList`

    `remove, remove, size, get, equals, hashCode, clone, indexOf, clear, lastIndexOf, isEmpty, replaceAll, add, add, subList, toArray, toArray, iterator, contains, spliterator, addAll, addAll, set, forEach, sort, ensureCapacity, trimToSize, removeIf, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, removeAll, retainAll, listIterator, listIterator, toString, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, parallelStream, reversed, reversed`

- - ### Constructor Detail

    - #### public NonEmptySequence()

    - #### public NonEmptySequence(Class type)

    - #### public NonEmptySequence(Class type, List content)

  - ### Method Detail

    - #### public int minimumSize()